#!/bin/sh

# add bin to path
export PATH=../bin:$PATH

#TARGET=debug
TARGET=release

PROGRAM=../bin/$TARGET/Preprocessor.exe
#PROGRAM=../bin/$TARGET/Preprocessor_itl.exe

EXT=obj

SCENE=vienna_cropped
SCENE_PATH=../data/vienna

ENVIRONMENT=generate_viewcells.env
LOG_PREFIX=../scripts/$SCENE

echo "starting $TARGET mode for $SCENE scene ($PROGRAM)"

SCENE_FILENAME=$SCENE_PATH/$SCENE.$EXT

OBJ_WEIGHT=20

#######################################################

METHOD=seq

# the # of bvh nodes
NODES=3000

 
echo "$SCENE $METHOD"
$PROGRAM $ENVIRONMENT \
 -scene_filename=$SCENE_FILENAME \
 -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
 -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
 -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
 -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
 -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
 -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
 -hierarchy_construction_type=0 \
 -vsp_use_cost_heuristics=false \
 -bvh_term_max_leaves=$NODES

sh movefiles.sh $LOG_PREFIX-$METHOD